Package org.zkoss.web.util.resource

## Class DspExtendlet

- java.lang.Object
- - org.zkoss.web.util.resource.DspExtendlet

- All Implemented Interfaces:
    `Extendlet`

      public class DspExtendlet
      extends java.lang.Object
      implements Extendlet

  The DSP resource processor (`Extendlet`) used to parse DSP files loaded from the classpath.

  Note: it assumes the file being loaded is UTF-8. The encoding of the output stream is default to UTF-8, but DSP can change by use of the page directive.

  Since:
    2.4.1 (public since 5.0.5)
  Author:
    tomyeh

- - ### Field Summary

    - ### Fields inherited from interface org.zkoss.web.util.resource.Extendlet

      `ALLOW_DIRECT_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DspExtendlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `getFeature​(int feature)` | Returns if the specified feature is supported.
    `void` | `init​(ExtendletConfig config)` | Initializes the resource processor.
    `void` | `service​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String path)` | Process the specified request.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DspExtendlet

          public DspExtendlet()

  - ### Method Detail

    - #### init

          public void init​(ExtendletConfig config)

      Description copied from interface: `Extendlet`
      Initializes the resource processor.
      Specified by:
        `init` in interface `Extendlet`

    - #### getFeature

          public boolean getFeature​(int feature)

      Description copied from interface: `Extendlet`
      Returns if the specified feature is supported.
      Specified by:
        `getFeature` in interface `Extendlet`

    - #### service

          public void service​(javax.servlet.http.HttpServletRequest request,
                              javax.servlet.http.HttpServletResponse response,
                              java.lang.String path)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Description copied from interface: `Extendlet`
      Process the specified request.
      Specified by:
        `service` in interface `Extendlet`
        `path` - the path mapped to this resource processor.
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`